2018-03-17 19:09 EDT

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001818FSSCPFS2NetDpublic2012-12-21 01:42
Assigned Tokarajorma 
PlatformWindowsOSWindows XP ProOS VersionSP3
Product Version 
Target VersionFixed in Version 
Summary0001818: PXO login Fails if you have no password
DescriptionIf you fail to actually give a PXO login you get a simple PXO failed message instead of a more useful message like "You've not entered your PXO login, dumbass!"

While a minor annoyance for those of us who are used to PXO it's probably a good idea to check if the username/password strings are empty and give a message for people new to the game.

I'll probably grab this one myself unless Taylor has anything to add or can fix it in 5 minutes.
Steps To ReproduceLog in to PXO with no username/password set.
TagsNo tags attached.
Attached Files




taylor (administrator)

By "PXO" do you mean the lobby or FS2NetD, or is this just a multi-config option UI thing?

I'm going to just assume that it's a FS2NetD login thing, with the config UI not having specified a user/pass. Not having a password should be valid (though a confirmation in the config screen might be nice when the password is empty), but the username should definitely be forced.

Just checking whether the username is valid when you go to login is the wrong way to address this however. If the username is empty then Om_tracker_flag needs to be turned off, so that it never even processes or deals with any FS2NetD or other tracker info. This can probably only be cleanly handled silently (with a debug log message) on game init when the settings are read from the registry, but the options screen can have a popup to handle it in a user friendly manner.

I don't really plan to work on this either way though, so you can take it.


karajorma (administrator)

The basic problem I'm seeing here is that I'm trying to make it so that you don't have to follow any of those tiresome guides in order to play FS2 online. The launcher already has a Register to play online button which solves one problem but the other one is that once you have registered, received your confirmation email and accepted it's possible to run the game, try to play and find yourself repeatedly refused upon going to the multiplayer ready room with no indication of what is wrong other than a "Login Failed" message.

That's not exactly very user-friendly. Turning off the tracker won't solve this problem and in fact would make it worse by sending the player to what looks like a list of multiplayer servers. Of course since they're now on the IP/LAN list they'll never see any games and will then have to post online complaining that there are no servers or simply give up.

If you have the PXO button on the options screen lit but have no username/password you've made one of two mistakes. Either you've forgotten to enter them or you've accidentally turned it on. I don't think it's a good idea to assume one mistake is more likely than the other.

Personally I think that if the game notices that you're trying to log on to PXO and haven't got a username/password you should be sent to the multiplayer options screen to fix it yourself (after a pop up warning explaining the problem).


taylor (administrator)

You misunderstood what I wrote.

If you are in the options screen and turn on PXO, but didn't enter a username, then you simply shouldn't be able to get out of that screen without the problem being fixed: by entering a username or turning off PXO. With either option the user is easily made aware of the problem and how to fix it. There is no reason to wait until the user tries to log in to notice that there is a problem, then send the user back to the config screen. It should be addressed at the source of the problem in the first place.

Turning off the tracker on game init if there is an empty username makes perfect sense. With the above fix in place the only way that the username will be empty is if it gets done manually with regedit. In such a case it is likely that turning PXO off was actually intended but left on accidentally, or the user was just plain stupid. Either way it should be assumed that PXO login is on in error and should be disabled automatically.


karajorma (administrator)

I see what you mean but that doesn't get us around the basic problem which is that if PXO is off by default users are going to need to be told how to switch it on when they decide that they now want to play online.

I'm looking at this mainly from the point of view of the TCs. They'll be getting a lot of interest from people who have never played FS2 or maybe even any game at all online. Expecting them to figure out that they need to go into the options section, click multiplayer, click PXO and then enter a name and password in order to get online isn't exactly the best way to start things off for them.


taylor (administrator)

So, you want PXO to be enabled by default, or what?

Unless you do then I don't see how it makes any difference. But there is no reason that a user can't simply go the the config screen and enable it if they want multi. If the TC can't explain how to do it in a couple of lines of text then too damn bad. In either case I don't why we should make concessions for being either totally inept or overly lazy. If it is that necessary to make it easier then just add the PXO/username/password stuff to the launcher.

But in neither case is it really going to make anything any easier. It will mess up somebody either way.


Shade (developer)

"just add the PXO/username/password stuff to the launcher."

That would actually be a very good idea, as you'd then see it when you're setting up the Network tab anyway.

Without it, the problem is that a newcomer may not even know that they also have to add the login info on in-game, since in many games you just register and you're good to go, and with an error message that doesn't actually tell them they need to add the login info they may just give up after a few tries and decide this game's multi support is buggy and sucks.

Obviously a bit of tenacity and looking around could solve the problem for them, but I think Kara's point is that it shouldn't be necessary, and that the error message should instead tell them what to fix. Also, keep in mind that most Windows users are used to being cuddled :p


karajorma (administrator)

I was going to suggest adding it to the launcher too, but then I got sleepy and forgot to add it to my last comment. :)

That said I think that the way we currently have it is needlessly unfriendly to new users. It's not that TCs don't want to explain how to play online, it's that most people won't listen. Or that they'll be playing a freshly downloaded game in singleplayer mode and then decide that they want to play online and try without first quitting the game and going to the board to read a guide.

So yes I do think PXO should be on by default. Furthermore I think that merely clicking the "Register to play online" button should turn it on as it's obvious you don't do that unless you want to play on FS2NetD. It's pretty easy to do that and then forget to enter the password (The email sent by FS2NetD should also tell you to enter the password into the launcher). But if PXO is already on you would be reminded that you haven't done that when you try to log on.

And this isn't just about the end user being lazy. This is also partly about the support staff being lazy. Over a quarter of BtRLs initial support threads were asking "How do I play online?". That's definitely a sign that something is wrong with the way we're doing it at the moment.


karajorma (administrator)

Fix committed to trunk@9456.

+Related Changesets

-Issue History
Date Modified Username Field Change
2008-11-15 13:21 karajorma New Issue
2008-11-15 14:08 taylor Note Added: 0010204
2008-11-15 17:11 karajorma Note Added: 0010205
2008-11-15 19:15 taylor Note Added: 0010206
2008-11-15 19:28 karajorma Note Added: 0010207
2008-11-15 20:19 taylor Note Added: 0010208
2008-11-16 01:39 Shade Note Added: 0010209
2008-11-16 02:13 karajorma Note Added: 0010210
2008-11-20 15:55 karajorma Status new => assigned
2008-11-20 15:55 karajorma Assigned To => karajorma
2012-12-21 01:42 karajorma Changeset attached => fs2open trunk r9456
2012-12-21 01:42 karajorma Note Added: 0014554
2012-12-21 01:42 karajorma Status assigned => resolved
2012-12-21 01:42 karajorma Resolution open => fixed
+Issue History